slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPConvergedReasonView

Displays the reason a NEP solve converged or diverged.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPConvergedReasonView(NEP nep,PetscViewer viewer)

Collective

### Input Parameters

| nep | - the nonlinear eigensolver context
| viewer | - the viewer to display the reason

### Options Database Keys

| -nep_converged_reason | - print reason for convergence, and number of iterations

### Note

To change the format of the output call PetscViewerPushFormat(viewer,format) before this call. Use PETSC_VIEWER_DEFAULT for the default, use PETSC_VIEWER_FAILED to only display a reason if it fails. The latter can be set in the command line with -nep_converged_reason ::failed

### See Also

NEPSetConvergenceTest(), NEPSetTolerances(), NEPGetIterationNumber(), NEPConvergedReasonViewFromOptions()

### Level

intermediate

### Location

src/nep/interface/nepview.c

### Examples

src/nep/tutorials/ex21.c
src/nep/tutorials/ex22.c
src/nep/tutorials/ex22f.F90
src/nep/tutorials/ex27.c
src/nep/tutorials/ex27f.F90
src/nep/tutorials/ex54f.F90
src/nep/tutorials/nlevp/gun.c
src/nep/tutorials/nlevp/loaded_string.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages